Skip to main content
GET
/
api
/
v1
/
app-connections
/
open-router
/
available
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/app-connections/open-router/available
import requests

url = "https://us.infisical.com/api/v1/app-connections/open-router/available"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://us.infisical.com/api/v1/app-connections/open-router/available', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "appConnections": [
    {
      "app": "open-router",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orgId": "<string>",
      "projectId": "<string>"
    }
  ]
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Query Parameters

projectId
string

The ID of the project to list OpenRouter Connections from.

Response

Default Response

appConnections
object[]
required